Mailinglist Archive: opensuse-gnome (84 mails)

< Previous Next >
[opensuse-gnome] Request for help: updating NetworkManager
  • From: Will Stephenson <wstephenson@xxxxxxx>
  • Date: Tue, 18 Aug 2009 10:20:55 +0200
  • Message-id: <200908181020.56150.wstephenson@xxxxxxx>
I've found some problems in our NetworkManager that affect all clients.

Most importantly, GSM mobile broadband seems to be broken NM-side. Any
attempt to connect using factory NM and nm-applet hangs with:

NetworkManager: real_connection_secrets_updated: assertion `caller ==
SECRETS_CALLER_GSM' failed

OpenVPN connections fail too. These problems are common to both the gnome and
KDE applets and I would hate 11.2 to go out broken.

I would like to update the package (in a OBS branch) to git master to see if
this solves it and is a net benefit. Raymond Wooninck and I have updated
NetworkManager itself to 0.7.1 branch, but the assert remains, because it's in
the use-modem-manager patch. Updating the patch to modem-manager master and
making it fit NM 0.7 branch is possible but would probably be hard work and a
maintenance burden.
Fedora and Ubuntu are both shipping master in their autumn releases. What do
you think?

If this is not a Terrible Idea, I could really use gnome-packaging expertise
here. There is some part of the NM/GNOME release process that I don't
understand - git archive tarballs don't build, I took Ubuntu's package apart
and stuffed its sources in our specfile but that doesn't build either due to a
missing po/configure.in.in. How do I get a packageable tarball?

Will
--
To unsubscribe, e-mail: opensuse-gnome+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-gnome+help@xxxxxxxxxxxx

< Previous Next >
Follow Ups